installation failure for one XP client

This Forum is for the use of Software Developers requiring help and assistance for Tracker Software's PDF-XChange Printer Drivers SDK (only) - Please use the PDF-Tools SDK Forum for Library DLL assistance.

Moderators: TrackerSupp-Daniel, Tracker Support, Vasyl-Tracker Dev Team, Sean - Tracker, Chris - Tracker Supp, Tracker Supp-Stefan, Ivan - Tracker Software, Andrew - Tracker Support, Tracker - Clarion Support, John - Tracker Supp, Support Staff, moderators

Post Reply
newengland
User
Posts: 8
Joined: Thu Apr 21, 2005 6:24 pm

installation failure for one XP client

Post by newengland » Mon Mar 16, 2009 3:12 pm

As part of our product, we install V3 of the PDF-XChange driver, with the printer name "PDF-XChange RealData". We have many hundreds of clients who use it successfully in a wide variety of environments. We know it doesn't work under Vista 64-bit, but so far it has worked everywhere else...except for this one client running Windows XP, and I'm trying to figure out why it doesn't work for him.

On his machine, when our installation program runs PDFX3SA_sm.exe to install the driver with the printer name "PDF-XChange RealData", the first thing that happens is he gets a dialog saying "The software you are installing for this hardware...has not passed Windows Logo testing to verify its compatibility with Windows XP". He clicks "Continue Anyway".

Then he gets a small dialog saying "Operation could not be completed". The only choice is an OK button. It's clear that the driver was not installed properly, because later if he tries to use the printer, he gets a dialog saying "The file PXC30f.dll on PDF-XChange (Windows 2000/XP/.NET) Setup Disk is needed".

He sent me his prninstaller.log, and I compared it with a normal one. The first difference is under "Checking PortMonitor <PDF-XChange> for using". Normally it would say "PortMonitor <PDF-XChange> not used", but in his file it says "PortMonitor <PDF-XChange> used by <PDF-XChange 2.5 DE> printer". I have no idea what "PDF-XChange 2.5 DE" is.

The second difference in prninstaller.log is that normally the install succeeds for the Windows NT x86 platform, but fails for the Windows x64 platform (Error:0x00070D /The environment specified is invalid). However, on his machine, the installation for the Windows x64 platform also apparently succeeds (Driver PDF-XChange 3.0 for WinX64 was succefully added).

The third and final difference in prnnstaller.log is at the end, where normally it would say "Printer PDF-XChange RealData was succefully added". In his file it says "Problems with AddPrinter. Error code:0x000709 /The printer name is invalid". Then it says "Try to install Printer <PDF-XChange RealData> by inf file 'C:\Program Files\RealData\PDF-XChange\\TEMP\w2k\PDF-XChange_w2k.inf'".

If you can shed any light on what might be wrong, I would appreciate it.

John - Tracker Supp
Site Admin
Posts: 8202
Joined: Tue Jun 29, 2004 10:34 am
Location: Vancouver Island - Canada
Contact:

Re: installation failure for one XP client

Post by John - Tracker Supp » Tue Mar 17, 2009 12:42 am

Hi,

Looks like he is either installing - or has installed an older release of PDF-XChange (Version2.5) supplied with possibly another product ?

This should not have caused a problem - but maybe it is has, hard to say.

Also can you advise what build of PDF-XChange V3 you are installing ?

Thanks
If posting files to this forum - you must archive the files to a ZIP, RAR or 7z file or they will not be uploaded - thank you.

Best regards
Tracker Support
http://www.tracker-software.com

newengland
User
Posts: 8
Joined: Thu Apr 21, 2005 6:24 pm

Re: installation failure for one XP client

Post by newengland » Tue Mar 17, 2009 1:14 am

We are using the final release of version 3 in all our products.

newengland
User
Posts: 8
Joined: Thu Apr 21, 2005 6:24 pm

Re: installation failure for one XP client

Post by newengland » Mon May 04, 2009 2:51 pm

The client is asking if there is any news on this issue.

My current suspicion is that the successful installation for the WinX64 environment is causing the problem. Normally, the installation for the WinX64 environment fails because the machine doesn't support that environment. But evidently this client has a newer machine, or a newer version of Windows XP, which does support WinX64.

Isn't it true that the V3 driver is known not to work properly in a 64-bit environment? My guess is that if the installation of the V3 driver for the WinX64 environment succeeds, the overall installation will eventually fail with the message "Problems with AddPrinter. Error code:0x000709 /The printer name is invalid." Can you confirm this? Or do you know of at least one case where the installation of the V3 driver for the WinX64 environment succeeded, and the overall installation succeeded and the driver worked properly in 32-bit mode?

Is there some way to get the installation process not to even try to install for the WinX64 environment?

John - Tracker Supp
Site Admin
Posts: 8202
Joined: Tue Jun 29, 2004 10:34 am
Location: Vancouver Island - Canada
Contact:

Re: installation failure for one XP client

Post by John - Tracker Supp » Tue May 05, 2009 12:08 am

Hi,

For sure the later releases of PDF-XChange V3 are designed to and work with XP/Vista 64 - however - could it be that you are using the 32 bit ActiveX in your app to try and talk to the 64 bit device ?

If so - this could be an issue and would require an upgrade to V4 where work was done to combat possible issues in this area.

It looks however like your user also has an older V2.5 installation for the developer versions only - which were designed to work only with a developers app - unlike the later V3/V4 releases for which the driver is common to both the End User and Developer installations - its just the way that the serial number is passed to our API's or not which dictates if the driver can be used in non evaluation mode for both end user and developer use.

Does the client have any other software installed which could be using (or perhaps more accurate to say 'trying' to use) our older V2.5 product (unlikely if its a 64 bit PC as Version 2.5 will not work on a 64 bit PC for sure !!!) - please ask him to uninstall/delete V2.5 or any components of - if it appears as a device on his 64 bit PC.

HTH
If posting files to this forum - you must archive the files to a ZIP, RAR or 7z file or they will not be uploaded - thank you.

Best regards
Tracker Support
http://www.tracker-software.com

Post Reply